Blue Guardrails

Create Labeling Project

Create a new labeling project.

POST
/v1/labeling-projects

Header Parameters

x-workspace-id?|

Workspace UUID to operate within. Required for session auth and user-scoped API keys. Optional for workspace-scoped API keys (uses key's workspace if omitted).

Request Body

application/json

name*string

Name of the labeling project

Length1 <= length <= 255
slug*string

URL-friendly slug for the labeling project

Match^[a-z0-9-]+$
Length1 <= length <= 255
labeling_guide?|

Markdown guide with labeling instructions for annotators

source_type*string

Source of conversations: 'conversations' or 'experiment'

Value in"conversations" | "experiment"
source_experiment_id?|

Experiment to pull conversations from when source_type is 'experiment'

source_filter_snapshot?|

Snapshot of filters applied to select source conversations

label_schema?array<>|

Label definitions available for annotation

config?

Project configuration options

Default{"labelers_per_task":1,"auto_create_review_tasks":false}

Response Body

application/json

application/json

curl -X POST "https://loading/v1/labeling-projects" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "slug": "string",    "source_type": "conversations"  }'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "slug": "string",
  "labeling_guide": "string",
  "source_type": "string",
  "source_experiment_id": "abb9575d-ed86-43cb-abcc-34b1eee80637",
  "source_filter_snapshot": {},
  "label_schema": [
    {
      "name": "string",
      "description": ""
    }
  ],
  "config": {
    "labelers_per_task": 1,
    "auto_create_review_tasks": false
  },
  "status": "string",
  "created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "task_count": 0,
  "completed_task_count": 0,
  "avg_completion_seconds": 0
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}